Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class AnonymousUserUpdateAction

    java.lang.Object
      com.bea.p13n.usermgmt.servlets.jsp.taglib.AnonymousUserUpdateAction

All Implemented Interfaces
  PrivilegedExceptionAction

    public class AnonymousUserUpdateAction

extends Object
implements PrivilegedExceptionAction

A class to handle transferring properties from an anonymous profile to a newly created user's profile. This implements PrivilegedExceptionAction, and is meant to be run through a runAs type method with the Subject of the user that was just created, so that it will have the appropriate permissions to update the profile.

Constructor Summary
`AnonymousUserUpdateAction(ProfileWrapper anonProfile, String username)` Construct and initialize a new AnonymousUserUpdateAction

Method Summary
`Object` | `run()` Iterate through the properties in the anonymous profile, and save them in the user's profile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnonymousUserUpdateAction

    public AnonymousUserUpdateAction(ProfileWrapper anonProfile,
                                     String username)

  Construct and initialize a new AnonymousUserUpdateAction

  Parameters
    `anonProfile` - a ProfileWrapper containing properties to save
    `username` - the name of the user to transfer the properties to

Method Detail

### run

    public Object run()
               throws RemoteException,
                      ProfileNotFoundException

  Iterate through the properties in the anonymous profile, and save them in the user's profile. This will only throw exceptions if the new profile cannot be accessed; if an error occurs transfering profiles, it will be logged, but an exception will not be thrown.

  Specified by:
    `run` in interface `PrivilegedExceptionAction`
  Throws
    `RemoteException`
    `ProfileNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.